const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Constant = sequelize.define('constant', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  constant_key: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '常量名称'},
  constant_value: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '中文翻译'},
  parent_id: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, comment: '父集ID'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '常量名称'},
  sign: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '标记'},
  ordernum: { type: Sequelize.INTEGER(10), allowNull: true, primaryKey: false, comment: '排序'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Constant.sync({ force: false }).then(function() {});

export default Constant;
/**
 create sql
 CREATE TABLE `constant` (
  `id` varchar(32) NOT NULL,
  `constant_key` varchar(50) DEFAULT NULL COMMENT '常量名称',
  `constant_value` varchar(50) DEFAULT NULL COMMENT '中文翻译',
  `parent_id` varchar(20) DEFAULT NULL COMMENT '父集ID',
  `remark` text COMMENT '备注',
  `name` varchar(255) DEFAULT NULL COMMENT '常量名称',
  `sign` varchar(255) DEFAULT NULL COMMENT '标记',
  `ordernum` int(10) DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`),
  KEY `constant-parent` (`parent_id`) USING BTREE,
  KEY `constant_value` (`constant_value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='网站常量'
*/
