const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Doctor_class = sequelize.define('doctor_class', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  doctor_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '医生表ID'},
  department_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '科室id'},
  doctor_class: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, comment: '医生类别 1.临床医生2.报告医生3.审核医生4.确认医生5.登记医生6远程申请医生7.远程报告医生8.远程审核医生(可多选)'},
  status: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, defaultValue: '1', comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Doctor_class.sync({ force: false }).then(function() {});

export default Doctor_class;
/**
 create sql
 CREATE TABLE `doctor_class` (
  `id` varchar(32) NOT NULL,
  `doctor_id` varchar(50) DEFAULT NULL COMMENT '医生表ID',
  `department_id` varchar(50) DEFAULT NULL COMMENT '科室id',
  `doctor_class` varchar(20) DEFAULT NULL COMMENT '医生类别 1.临床医生2.报告医生3.审核医生4.确认医生5.登记医生6远程申请医生7.远程报告医生8.远程审核医生(可多选)',
  `status` varchar(10) DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `docclass-depart` (`department_id`) USING BTREE,
  KEY `docclass-docid` (`doctor_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='医生类表'
*/
