const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Lcoss_callbacks = sequelize.define('lcoss_callbacks', {
  id: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: true, comment: ''},
  md5: { type: Sequelize.STRING(32), allowNull: false, primaryKey: false, comment: ''},
  url: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, comment: ''},
  size: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, comment: ''},
  hospitalId: { type: Sequelize.STRING(20), allowNull: false, primaryKey: false, comment: ''},
  status: { type: Sequelize.SMALLINT(6), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
  remark: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  eTag: { type: Sequelize.STRING(32), allowNull: false, primaryKey: false, comment: ''},
  timestamp: { type: Sequelize.INTEGER(20), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Lcoss_callbacks.sync({ force: false }).then(function() {});

export default Lcoss_callbacks;
/**
 create sql
 CREATE TABLE `lcoss_callbacks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `md5` varchar(32) NOT NULL,
  `url` varchar(100) NOT NULL,
  `size` int(11) NOT NULL,
  `hospitalId` varchar(20) NOT NULL,
  `status` smallint(6) NOT NULL DEFAULT '0',
  `remark` varchar(255) DEFAULT NULL,
  `eTag` varchar(32) NOT NULL,
  `timestamp` int(20) NOT NULL DEFAULT '0',
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `url_index` (`url`),
  KEY `lcoss_callbacks_hospital_id` (`hospitalId`),
  KEY `lcoss_callbacks_e_tag` (`eTag`),
  KEY `lcoss_callbacks_status` (`status`),
  KEY `lcoss_callbacks_md5` (`md5`),
  KEY `lcoss_callbacks_timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
