const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Manager = sequelize.define('manager', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: 'ID'},
  role_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, defaultValue: '0', comment: '角色id(0:admin;1:医院;2:代理商)'},
  username: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, defaultValue: '', comment: '用户名'},
  password: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, defaultValue: '', comment: '密码'},
  email: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, defaultValue: '', comment: 'email'},
  phone: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, defaultValue: '', comment: '电话'},
  logintime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '最后登录时间'},
  loginip: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, defaultValue: '', comment: '登录IP'},
  loginfailure: { type: Sequelize.TINYINT(1), allowNull: true, primaryKey: false, comment: '登陆失败次数'},
  institution_id: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '机构ID'},
  status: { type: Sequelize.TINYINT(1), allowNull: true, primaryKey: false, defaultValue: '0', comment: '删除状态'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Manager.sync({ force: false }).then(function() {});

export default Manager;
/**
 create sql
 CREATE TABLE `manager` (
  `id` varchar(32) NOT NULL COMMENT 'ID',
  `role_id` varchar(50) DEFAULT '0' COMMENT '角色id(0:admin;1:医院;2:代理商)',
  `username` varchar(100) NOT NULL DEFAULT '' COMMENT '用户名',
  `password` varchar(100) NOT NULL DEFAULT '' COMMENT '密码',
  `email` varchar(100) DEFAULT '' COMMENT 'email',
  `phone` varchar(50) DEFAULT '' COMMENT '电话',
  `logintime` datetime DEFAULT NULL COMMENT '最后登录时间',
  `loginip` varchar(50) DEFAULT '' COMMENT '登录IP',
  `loginfailure` tinyint(1) DEFAULT NULL COMMENT '登陆失败次数',
  `createdAt` datetime DEFAULT NULL COMMENT '????',
  `updatedAt` datetime DEFAULT NULL COMMENT '????',
  `institution_id` varchar(200) DEFAULT NULL COMMENT '机构ID',
  `status` tinyint(1) DEFAULT '0' COMMENT '删除状态',
  PRIMARY KEY (`id`),
  KEY `username` (`username`),
  KEY `mobile` (`phone`),
  KEY `institution` (`institution_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='管理员表（代理商）'
*/
