const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Menu = sequelize.define('menu', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '菜单名称'},
  status: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  parent_id: { type: Sequelize.STRING(36), allowNull: true, primaryKey: false, comment: '父集关系'},
  url: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '网址'},
  ordernum: { type: Sequelize.INTEGER(10), allowNull: true, primaryKey: false, comment: '排序'},
  icon_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '图标'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Menu.sync({ force: false }).then(function() {});

export default Menu;
/**
 create sql
 CREATE TABLE `menu` (
  `id` varchar(32) NOT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '菜单名称',
  `status` varchar(255) DEFAULT NULL,
  `parent_id` varchar(36) DEFAULT NULL COMMENT '父集关系',
  `url` varchar(255) DEFAULT NULL COMMENT '网址',
  `ordernum` int(10) DEFAULT NULL COMMENT '排序',
  `icon_name` varchar(255) DEFAULT NULL COMMENT '图标',
  PRIMARY KEY (`id`),
  KEY `menu-parent` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='菜单表'
*/
