const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Operating = sequelize.define('operating', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  nums: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '单子数量'},
  month: { type: Sequelize.INTEGER(10), allowNull: true, primaryKey: false, comment: '月份'},
  exam_num: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '影像数目'},
  remote_num: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '远程诊断数量'},
  danger_num: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '患者疾病阳性数量'},
  role_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '用户id'},
  type: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '1医生 2机构 3代理'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Operating.sync({ force: false }).then(function() {});

export default Operating;
/**
 create sql
 CREATE TABLE `operating` (
  `id` varchar(32) NOT NULL,
  `nums` varchar(255) DEFAULT NULL COMMENT '单子数量',
  `month` int(10) DEFAULT NULL COMMENT '月份',
  `exam_num` varchar(255) DEFAULT NULL COMMENT '影像数目',
  `remote_num` varchar(255) DEFAULT NULL COMMENT '远程诊断数量',
  `danger_num` varchar(255) DEFAULT NULL COMMENT '患者疾病阳性数量',
  `role_id` varchar(255) DEFAULT NULL COMMENT '用户id',
  `type` varchar(255) DEFAULT NULL COMMENT '1医生 2机构 3代理',
  PRIMARY KEY (`id`),
  KEY `operate-role` (`role_id`),
  KEY `month` (`month`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='运营报告'
*/
