const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Oss_callbacks = sequelize.define('oss_callbacks', {
  id: { type: Sequelize.STRING(16), allowNull: false, primaryKey: true, comment: ''},
  md5: { type: Sequelize.STRING(32), allowNull: false, primaryKey: false, comment: ''},
  url: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, comment: ''},
  region: { type: Sequelize.STRING(20), allowNull: false, primaryKey: false, comment: ''},
  bucket: { type: Sequelize.STRING(20), allowNull: false, primaryKey: false, comment: ''},
  size: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, comment: ''},
  hospital_id: { type: Sequelize.STRING(20), allowNull: false, primaryKey: false, comment: ''},
  status: { type: Sequelize.SMALLINT(6), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
  remark: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  x_real_ip: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, comment: ''},
  x_forwarded_for_ip: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, comment: ''},
  request_date: { type: Sequelize.STRING(30), allowNull: true, primaryKey: false, comment: ''},
  x_oss_request_id: { type: Sequelize.STRING(30), allowNull: true, primaryKey: false, comment: ''},
  x_oss_requester: { type: Sequelize.STRING(16), allowNull: true, primaryKey: false, comment: ''},
  x_oss_pub_key_url: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  authorization: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  content_md5: { type: Sequelize.STRING(30), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Oss_callbacks.sync({ force: false }).then(function() {});

export default Oss_callbacks;
/**
 create sql
 CREATE TABLE `oss_callbacks` (
  `id` varchar(16) NOT NULL,
  `md5` varchar(32) NOT NULL,
  `url` varchar(100) NOT NULL,
  `region` varchar(20) NOT NULL,
  `bucket` varchar(20) NOT NULL,
  `size` int(11) NOT NULL,
  `hospital_id` varchar(20) NOT NULL,
  `status` smallint(6) NOT NULL DEFAULT '0',
  `remark` varchar(255) DEFAULT NULL,
  `x_real_ip` varchar(20) DEFAULT NULL,
  `x_forwarded_for_ip` varchar(20) DEFAULT NULL,
  `request_date` varchar(30) DEFAULT NULL,
  `x_oss_request_id` varchar(30) DEFAULT NULL,
  `x_oss_requester` varchar(16) DEFAULT NULL,
  `x_oss_pub_key_url` varchar(100) DEFAULT NULL,
  `authorization` varchar(100) DEFAULT NULL,
  `content_md5` varchar(30) DEFAULT NULL,
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `md5_index` (`md5`),
  UNIQUE KEY `url_index` (`url`),
  KEY `oss_callbacks_hospital_id` (`hospital_id`),
  KEY `oss_callbacks_bucket` (`bucket`),
  KEY `oss_callbacks_region` (`region`),
  KEY `oss_callbacks_status` (`status`),
  KEY `oss_callbacks_x_real_ip` (`x_real_ip`),
  KEY `oss_callbacks_x_forwarded_for_ip` (`x_forwarded_for_ip`),
  KEY `oss_callbacks_x_oss_requester` (`x_oss_requester`),
  KEY `oss_callbacks_x_oss_pub_key_url` (`x_oss_pub_key_url`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
