const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Register = sequelize.define('register', {
  id: { type: Sequelize.STRING(255), allowNull: false, primaryKey: true, comment: ''},
  exam_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查key'},
  exam_sub_class: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查子类'},
  body_part: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查部位'},
  device_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查设备'},
  technician_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查技师ID'},
  technician_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查技师姓名'},
  technician_datetime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '计划检查时间'},
  register_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '登记医师ID'},
  register_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '登记医师姓名'},
  register_datetime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '登记时间'},
  illness_desc: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '患者主诉'},
  phys_sign: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '体征'},
  clin_symp: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '症状'},
  anamnesis: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '疾病史'},
  family_ill: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '家族病史'},
  application_department: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '申请科室'},
  clin_diag: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '初步诊断'},
  ext: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  clin_department: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '送诊科室'},
  clin_doctors_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '送诊医生ID'},
  clin_doctors_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '送诊医生姓名'},
  clin_datetime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '送诊时间'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Register.sync({ force: false }).then(function() {});

export default Register;
/**
 create sql
 CREATE TABLE `register` (
  `id` varchar(255) NOT NULL,
  `exam_id` varchar(255) DEFAULT NULL COMMENT '检查key',
  `exam_sub_class` varchar(255) DEFAULT NULL COMMENT '检查子类',
  `body_part` varchar(255) DEFAULT NULL COMMENT '检查部位',
  `device_name` varchar(255) DEFAULT NULL COMMENT '检查设备',
  `technician_id` varchar(255) DEFAULT NULL COMMENT '检查技师ID',
  `technician_name` varchar(255) DEFAULT NULL COMMENT '检查技师姓名',
  `technician_datetime` datetime DEFAULT NULL COMMENT '计划检查时间',
  `register_id` varchar(50) DEFAULT NULL COMMENT '登记医师ID',
  `register_name` varchar(255) DEFAULT NULL COMMENT '登记医师姓名',
  `register_datetime` datetime DEFAULT NULL COMMENT '登记时间',
  `illness_desc` varchar(255) DEFAULT NULL COMMENT '患者主诉',
  `phys_sign` varchar(255) DEFAULT NULL COMMENT '体征',
  `clin_symp` varchar(255) DEFAULT NULL COMMENT '症状',
  `anamnesis` varchar(255) DEFAULT NULL COMMENT '疾病史',
  `family_ill` varchar(255) DEFAULT NULL COMMENT '家族病史',
  `application_department` varchar(255) DEFAULT NULL COMMENT '申请科室',
  `clin_diag` varchar(255) DEFAULT NULL COMMENT '初步诊断',
  `ext` text COMMENT '备注',
  `clin_department` varchar(255) DEFAULT NULL COMMENT '送诊科室',
  `clin_doctors_id` varchar(50) DEFAULT NULL COMMENT '送诊医生ID',
  `clin_doctors_name` varchar(255) DEFAULT NULL COMMENT '送诊医生姓名',
  `clin_datetime` datetime DEFAULT NULL COMMENT '送诊时间',
  `createdAt` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updatedAt` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `register_exam_id` (`exam_id`),
  KEY `register_technician_id` (`technician_id`),
  KEY `register_register_id` (`register_id`),
  KEY `register_register_datetime` (`register_datetime`),
  KEY `register_clin_doctors_id` (`clin_doctors_id`),
  KEY `register_clin_datetime` (`clin_datetime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
