const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Remote_application = sequelize.define('remote_application', {
  id: { type: Sequelize.STRING(50), allowNull: false, primaryKey: true, comment: ''},
  name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '姓名'},
  sex: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '性别'},
  age: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '年龄'},
  report_result: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查结果'},
  patient_num: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '病历号'},
  accession_num: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '检查号'},
  exam_datetime: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查时间'},
  exam_class: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查类型'},
  exam_project: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查项目'},
  report_status: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '远程诊断状态'},
  req_date_time: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '邀请时间'},
  local_institution_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '邀请方医院'},
  local_institution_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '邀请方医院名称'},
  req_doctor_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '邀请方医生id'},
  req_doctor_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '邀请方医生姓名'},
  remote_institution_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  remote_institution_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '受邀方医院名称'},
  remote_doctor_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '受邀方医生id'},
  remote_doctor_name: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '受邀方医生姓名'},
  illness_desc: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '患者主诉'},
  clin_symp: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '临床症状'},
  phys_sign: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '体征'},
  clin_diag: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '临床诊断'},
  anamnesis: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '既往史'},
  family_ill: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '家族史'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  exam_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '检查表id'},
  is_urgent: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, defaultValue: '0', comment: '是否急诊 0 否 1 是'},
  status: { type: Sequelize.STRING(20), allowNull: false, primaryKey: false, defaultValue: '0', comment: '删除状态  0 否  1 是'},
  application_desc: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '申请描述'},
  attachment: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '附件'},
  remote_department: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '申请科室'},
  more: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '补充说明'},
  odd_number: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '申请单单号'},
  pay_status: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, defaultValue: '0', comment: '付款状态 0未付款 1已付款'},
  birthday: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '生日'},
  card_num: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '身份证号'},
  body_part: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查部位'},
  exam_sub_class: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '检查子类'},
  study_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Remote_application.sync({ force: false }).then(function() {});

export default Remote_application;
/**
 create sql
 CREATE TABLE `remote_application` (
  `id` varchar(50) NOT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(50) DEFAULT NULL COMMENT '性别',
  `age` varchar(50) DEFAULT NULL COMMENT '年龄',
  `report_result` varchar(255) DEFAULT NULL COMMENT '检查结果',
  `patient_num` varchar(200) DEFAULT NULL COMMENT '病历号',
  `accession_num` varchar(200) DEFAULT NULL COMMENT '检查号',
  `exam_datetime` varchar(255) DEFAULT NULL COMMENT '检查时间',
  `exam_class` varchar(255) DEFAULT NULL COMMENT '检查类型',
  `exam_project` varchar(255) DEFAULT NULL COMMENT '检查项目',
  `report_status` varchar(255) DEFAULT NULL COMMENT '远程诊断状态',
  `req_date_time` datetime DEFAULT NULL COMMENT '邀请时间',
  `local_institution_id` varchar(50) DEFAULT NULL COMMENT '邀请方医院',
  `local_institution_name` varchar(255) DEFAULT NULL COMMENT '邀请方医院名称',
  `req_doctor_id` varchar(50) DEFAULT NULL COMMENT '邀请方医生id',
  `req_doctor_name` varchar(255) DEFAULT NULL COMMENT '邀请方医生姓名',
  `remote_institution_id` varchar(50) DEFAULT NULL,
  `remote_institution_name` varchar(255) DEFAULT NULL COMMENT '受邀方医院名称',
  `remote_doctor_id` varchar(50) DEFAULT NULL COMMENT '受邀方医生id',
  `remote_doctor_name` varchar(200) DEFAULT NULL COMMENT '受邀方医生姓名',
  `illness_desc` text COMMENT '患者主诉',
  `clin_symp` text COMMENT '临床症状',
  `phys_sign` text COMMENT '体征',
  `clin_diag` text COMMENT '临床诊断',
  `anamnesis` varchar(255) DEFAULT NULL COMMENT '既往史',
  `family_ill` varchar(255) DEFAULT NULL COMMENT '家族史',
  `remark` text COMMENT '备注',
  `exam_id` varchar(50) DEFAULT NULL COMMENT '检查表id',
  `is_urgent` varchar(20) DEFAULT '0' COMMENT '是否急诊 0 否 1 是',
  `status` varchar(20) NOT NULL DEFAULT '0' COMMENT '删除状态  0 否  1 是',
  `createdAt` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updatedAt` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `application_desc` text COMMENT '申请描述',
  `attachment` varchar(255) DEFAULT NULL COMMENT '附件',
  `remote_department` varchar(255) DEFAULT NULL COMMENT '申请科室',
  `more` text COMMENT '补充说明',
  `odd_number` varchar(200) DEFAULT NULL COMMENT '申请单单号',
  `pay_status` varchar(255) DEFAULT '0' COMMENT '付款状态 0未付款 1已付款',
  `birthday` varchar(255) DEFAULT NULL COMMENT '生日',
  `card_num` varchar(255) DEFAULT NULL COMMENT '身份证号',
  `body_part` varchar(255) DEFAULT NULL COMMENT '检查部位',
  `exam_sub_class` varchar(200) DEFAULT NULL COMMENT '检查子类',
  `study_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `remote_name` (`name`),
  KEY `remote_sex` (`sex`),
  KEY `remote_result` (`report_result`),
  KEY `remote_patient_num` (`patient_num`),
  KEY `remote_accession_num` (`accession_num`),
  KEY `remote_exam_datetime` (`exam_datetime`),
  KEY `remote_exam_class` (`exam_class`),
  KEY `remote_exam_project` (`exam_project`),
  KEY `remote_report_status` (`report_status`),
  KEY `remote_req_date_time` (`req_date_time`),
  KEY `remote_local_institution` (`local_institution_id`),
  KEY `remote_req_doctor_id` (`req_doctor_id`),
  KEY `remote_institution` (`remote_institution_id`),
  KEY `remote_doctor_id` (`remote_doctor_id`),
  KEY `remote_exam_id` (`exam_id`),
  KEY `remote_is_urgent` (`is_urgent`),
  KEY `remote_del_status` (`status`),
  KEY `remote_odd_number` (`odd_number`),
  KEY `remote_pay_status` (`pay_status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
