const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Remote_water_log = sequelize.define('remote_water_log', {
  id: { type: Sequelize.INTEGER(32), allowNull: false, primaryKey: true, comment: 'id'},
  hospital_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '医院名'},
  water_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '订单id'},
  order_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '订单id'},
  order_money: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '金额'},
  brfore_money: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '流水类型 加 减'},
  after_money: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: ''},
  type: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '流水类型 加 减'},
  why: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: 'why 患者支付/远程诊断收入/远程诊断付款/远程诊断退款/提现'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  timestamp: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '时间戳'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: false,
});

Remote_water_log.sync({ force: false }).then(function() {});

export default Remote_water_log;
/**
 create sql
 CREATE TABLE `remote_water_log` (
  `id` int(32) NOT NULL COMMENT 'id',
  `hospital_id` varchar(32) DEFAULT NULL COMMENT '医院名',
  `water_id` varchar(32) DEFAULT NULL COMMENT '订单id',
  `order_id` varchar(32) DEFAULT NULL COMMENT '订单id',
  `order_money` int(11) NOT NULL DEFAULT '0' COMMENT '金额',
  `brfore_money` int(11) NOT NULL DEFAULT '0' COMMENT '流水类型 加 减',
  `after_money` int(11) DEFAULT NULL,
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '流水类型 加 减',
  `why` int(11) NOT NULL DEFAULT '0' COMMENT 'why 患者支付/远程诊断收入/远程诊断付款/远程诊断退款/提现',
  `remark` text COMMENT '备注',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
  `createdAt` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
