const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Series = sequelize.define('series', {
  id: { type: Sequelize.STRING(16), allowNull: false, primaryKey: true, comment: ''},
  study_id: { type: Sequelize.STRING(16), allowNull: false, primaryKey: false, defaultValue: '', comment: ''},
  seriesuid: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, defaultValue: '', comment: ''},
  seriesNum: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
  modality: { type: Sequelize.STRING(10), allowNull: false, primaryKey: false, defaultValue: '', comment: ''},
  seriesDescription: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  ext: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Series.sync({ force: false }).then(function() {});

export default Series;
/**
 create sql
 CREATE TABLE `series` (
  `id` varchar(16) NOT NULL,
  `study_id` varchar(16) NOT NULL DEFAULT '',
  `seriesuid` varchar(100) NOT NULL DEFAULT '',
  `seriesNum` int(11) NOT NULL DEFAULT '0',
  `modality` varchar(10) NOT NULL DEFAULT '',
  `seriesDescription` varchar(100) DEFAULT NULL,
  `ext` varchar(255) DEFAULT NULL,
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `seriesuid_index` (`study_id`,`seriesuid`),
  KEY `series_modality` (`modality`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
