const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Wechat_bind = sequelize.define('wechat_bind', {
  id: { type: Sequelize.INTEGER(32), allowNull: false, primaryKey: true, comment: ''},
  uid: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '用户id'},
  patientName: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '患者姓名'},
  patientCode: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '检查号/病历号/患者ID'},
  idcard: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '检查类别名称'},
  phone: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '手机号码'},
  ctime: { type: Sequelize.INTEGER(32), allowNull: false, primaryKey: false, comment: '创建时间'},
  status: { type: Sequelize.INTEGER(200), allowNull: true, primaryKey: false, defaultValue: '1', comment: '状态 1正常 2删除'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Wechat_bind.sync({ force: false }).then(function() {});

export default Wechat_bind;
/**
 create sql
 CREATE TABLE `wechat_bind` (
  `id` int(32) NOT NULL AUTO_INCREMENT,
  `uid` varchar(32) DEFAULT NULL COMMENT '用户id',
  `patientName` varchar(100) DEFAULT NULL COMMENT '患者姓名',
  `patientCode` varchar(100) DEFAULT NULL COMMENT '检查号/病历号/患者ID',
  `idcard` varchar(100) DEFAULT NULL COMMENT '检查类别名称',
  `phone` varchar(100) DEFAULT NULL COMMENT '手机号码',
  `ctime` int(32) NOT NULL COMMENT '创建时间',
  `status` int(200) DEFAULT '1' COMMENT '状态 1正常 2删除',
  PRIMARY KEY (`id`),
  KEY `user_id_index` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=1973 DEFAULT CHARSET=utf8 COMMENT='检查类别表格'
*/
