const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Wechat_pay_log = sequelize.define('wechat_pay_log', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: 'id'},
  openid: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '微信openid'},
  wx_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '微信id'},
  app_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: 'appid'},
  out_trade_no: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '流水号'},
  money: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '金额'},
  type: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '类型 付款 退款'},
  status: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '状态 成功 失败'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  timestamp: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '时间戳'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Wechat_pay_log.sync({ force: false }).then(function() {});

export default Wechat_pay_log;
/**
 create sql
 CREATE TABLE `wechat_pay_log` (
  `id` varchar(32) NOT NULL COMMENT 'id',
  `openid` varchar(32) DEFAULT NULL COMMENT '微信openid',
  `wx_id` varchar(32) DEFAULT NULL COMMENT '微信id',
  `app_id` varchar(32) DEFAULT NULL COMMENT 'appid',
  `out_trade_no` varchar(32) DEFAULT NULL COMMENT '流水号',
  `money` int(11) NOT NULL DEFAULT '0' COMMENT '金额',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '类型 付款 退款',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT '状态 成功 失败',
  `remark` text COMMENT '备注',
  `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
  PRIMARY KEY (`id`),
  KEY `openid_index` (`openid`),
  KEY `wx_id_index` (`wx_id`),
  KEY `app_id_index` (`app_id`),
  KEY `out_trade_no_index` (`out_trade_no`),
  KEY `type_index` (`type`),
  KEY `status_index` (`status`),
  KEY `timestamp_index` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='微信-支付日志'
*/
