const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Default_cost = sequelize.define('default_cost', {
  id: { type: Sequelize.INTEGER(32), allowNull: false, primaryKey: true, comment: 'id'},
  hospital_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '上级医院'},
  exam_class: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '检查类型'},
  doctor_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '远程医生'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  money: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '问诊价格'},
  timestamp: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '时间戳'},
  doctor_name: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '远程医生名称'},
  sort: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '顺序号'},
  is_admin: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '是否是医院管理员'},
  hospital_name: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '上级医院'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Default_cost.sync({ force: false }).then(function() {});

export default Default_cost;
/**
 create sql
 CREATE TABLE `default_cost` (
  `id` int(32) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `hospital_id` varchar(32) DEFAULT NULL COMMENT '上级医院',
  `exam_class` varchar(32) DEFAULT NULL COMMENT '检查类型',
  `doctor_id` varchar(32) DEFAULT NULL COMMENT '远程医生',
  `remark` text COMMENT '备注',
  `money` int(11) NOT NULL DEFAULT '0' COMMENT '问诊价格',
  `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
  `doctor_name` varchar(100) DEFAULT NULL COMMENT '远程医生名称',
  `sort` int(11) NOT NULL DEFAULT '0' COMMENT '顺序号',
  `is_admin` int(11) NOT NULL DEFAULT '0' COMMENT '是否是医院管理员',
  `hospital_name` varchar(100) DEFAULT NULL COMMENT '上级医院',
  PRIMARY KEY (`id`),
  KEY `super_hospital_id_index` (`hospital_id`),
  KEY `exam_class_index` (`exam_class`),
  KEY `super_doctor_id_index` (`doctor_id`),
  KEY `timestamp_index` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=113 DEFAULT CHARSET=utf8 COMMENT='远程诊断费用表'
*/
