const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Images = sequelize.define('images', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: 'id'},
  series_id: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '对应的序列'},
  image_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '影像ID'},
  sop_uid: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  image_number: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: '影像号'},
  owner: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '所属人'},
  window_width: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '窗宽'},
  windo_center: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '窗位'},
  rows: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '行'},
  columns: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: '队'},
  pixe_spacing: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '影像的展示参数'},
  image_position: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '影像的展示参数'},
  image_orientation: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '影像的展示参数'},
  ctime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '创建时间'},
  utime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '修改时间'},
  url: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '加载地址'},
  metadata: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  size: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  institution_id: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  local_url: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  remote_url: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  status: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, defaultValue: '2', comment: ''},
  frame: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, defaultValue: '0', comment: ''},
  cineRate: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, defaultValue: '0', comment: ''},
  ext: { type: Sequelize.JSON, allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Images.sync({ force: false }).then(function() {});

export default Images;
/**
 create sql
 CREATE TABLE `images` (
  `id` varchar(32) NOT NULL COMMENT 'id',
  `series_id` varchar(200) DEFAULT NULL COMMENT '对应的序列',
  `image_id` varchar(255) DEFAULT NULL COMMENT '影像ID',
  `sop_uid` varchar(255) DEFAULT NULL,
  `image_number` int(11) DEFAULT NULL COMMENT '影像号',
  `owner` varchar(255) DEFAULT NULL COMMENT '所属人',
  `window_width` varchar(200) DEFAULT NULL COMMENT '窗宽',
  `windo_center` varchar(200) DEFAULT NULL COMMENT '窗位',
  `rows` varchar(200) DEFAULT NULL COMMENT '行',
  `columns` varchar(200) DEFAULT NULL COMMENT '队',
  `pixe_spacing` varchar(255) DEFAULT NULL COMMENT '影像的展示参数',
  `image_position` varchar(255) DEFAULT NULL COMMENT '影像的展示参数',
  `image_orientation` varchar(255) DEFAULT NULL COMMENT '影像的展示参数',
  `ctime` datetime DEFAULT NULL COMMENT '创建时间',
  `utime` datetime DEFAULT NULL COMMENT '修改时间',
  `url` varchar(255) DEFAULT NULL COMMENT '加载地址',
  `metadata` varchar(255) DEFAULT NULL,
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL,
  `size` varchar(255) DEFAULT NULL,
  `institution_id` varchar(100) DEFAULT NULL,
  `local_url` varchar(255) DEFAULT NULL,
  `remote_url` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT '2',
  `frame` int(11) DEFAULT '0',
  `cineRate` int(11) DEFAULT '0',
  `ext` json DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `image-image_id` (`image_id`),
  KEY `image-sop` (`sop_uid`),
  KEY `series_id_index` (`series_id`),
  KEY `images_institution_id` (`institution_id`),
  KEY `images_series_id` (`series_id`),
  KEY `image_status` (`status`),
  KEY `images_image_id` (`image_id`),
  KEY `images_url` (`url`),
  KEY `images_owner` (`owner`),
  KEY `images_metadata` (`metadata`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='影像表（images）'
*/
