const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Report_record = sequelize.define('report_record', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  impression: { type: Sequelize.STRING(2000), allowNull: true, primaryKey: false, comment: '检查所见'},
  description: { type: Sequelize.STRING(2000), allowNull: true, primaryKey: false, comment: '意见建议'},
  report_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '检查表id'},
  doctor_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '医生id'},
  type: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '操作类型 1报告 2审核 3确认 4驳回'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: false,
});

Report_record.sync({ force: false }).then(function() {});

export default Report_record;
/**
 create sql
 CREATE TABLE `report_record` (
  `id` varchar(32) NOT NULL,
  `impression` varchar(2000) DEFAULT NULL COMMENT '检查所见',
  `description` varchar(2000) DEFAULT NULL COMMENT '意见建议',
  `report_id` varchar(50) DEFAULT NULL COMMENT '检查表id',
  `createdAt` datetime DEFAULT NULL,
  `doctor_id` varchar(50) DEFAULT NULL COMMENT '医生id',
  `type` varchar(255) DEFAULT NULL COMMENT '操作类型 1报告 2审核 3确认 4驳回',
  PRIMARY KEY (`id`),
  KEY `record-report` (`report_id`) USING BTREE,
  KEY `record-doctor` (`doctor_id`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='报告操作历史记录'
*/
