const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Series = sequelize.define('series', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: '' },
  study_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '' },
  seriesuid: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '' },
  series_num: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: '' },
  modality: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '' },
  description: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '' },
  ctime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '' },
  utime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '' },
  ext: { type: Sequelize.JSON, allowNull: true, primaryKey: false, comment: '' },
}, {
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Series.sync({ force: false }).then(function() {});

export default Series;
/**
 create sql
 CREATE TABLE `series` (
  `id` varchar(32) NOT NULL,
  `study_id` varchar(255) DEFAULT NULL,
  `seriesuid` varchar(255) DEFAULT NULL,
  `series_num` int(11) unsigned zerofill DEFAULT NULL,
  `modality` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `ctime` datetime DEFAULT NULL,
  `utime` datetime DEFAULT NULL,
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL,
  `ext` json DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY ` seriesuid` (`seriesuid`),
  KEY `series_modality` (`modality`),
  KEY `series_study_id` (`study_id`),
  KEY `series_seriesuid` (`seriesuid`),
  KEY `createAt_index` (`createdAt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
