const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const User_bind = sequelize.define('user_bind', {
  id: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: true, comment: ''},
  user_id: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '用户id'},
  exam_id: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '检查id'},
  patient_id: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '患者id'},
  storage_endtime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '存储截止日期'},
  bind_way: { type: Sequelize.TINYINT(2), allowNull: false, primaryKey: false, defaultValue: '0', comment: '绑定途径0:未定义1:扫描报告二维码2:手动添加3:系统自动关联'},
  status: { type: Sequelize.TINYINT(2), allowNull: false, primaryKey: false, defaultValue: '1', comment: '状态0:解绑1:正常'},
  createAt: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '创建时间'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

User_bind.sync({ force: false }).then(function() {});

export default User_bind;
/**
 create sql
 CREATE TABLE `user_bind` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(45) DEFAULT NULL COMMENT '用户id',
  `exam_id` varchar(45) DEFAULT NULL COMMENT '检查id',
  `patient_id` varchar(45) DEFAULT NULL COMMENT '患者id',
  `storage_endtime` datetime DEFAULT NULL COMMENT '存储截止日期',
  `bind_way` tinyint(2) NOT NULL DEFAULT '0' COMMENT '绑定途径0:未定义1:扫描报告二维码2:手动添加3:系统自动关联',
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '状态0:解绑1:正常',
  `createAt` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `userid_index` (`user_id`),
  KEY `pid_index` (`patient_id`),
  KEY `exam_id_index` (`exam_id`)
) ENGINE=InnoDB AUTO_INCREMENT=641 DEFAULT CHARSET=utf8
*/
