const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Wechat_pay_log = sequelize.define('wechat_pay_log', {
  id: { type: Sequelize.INTEGER(32), allowNull: false, primaryKey: true, comment: 'id'},
  appid: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '微信openid'},
  bank_type: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '微信id'},
  cash_fee: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: 'appid'},
  fee_type: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '流水号'},
  is_subscribe: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '0', comment: '金额'},
  mch_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '0', comment: '类型 付款 退款'},
  nonce_str: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '0', comment: '状态 成功 失败'},
  openid: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  timestamp: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '时间戳'},
  out_trade_no: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  result_code: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  return_code: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  sign: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  time_end: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  total_fee: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  trade_type: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
  transaction_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, defaultValue: '', comment: '备注'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Wechat_pay_log.sync({ force: false }).then(function() {});

export default Wechat_pay_log;
/**
 create sql
 CREATE TABLE `wechat_pay_log` (
  `id` int(32) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `appid` varchar(32) DEFAULT NULL COMMENT '微信openid',
  `bank_type` varchar(32) DEFAULT NULL COMMENT '微信id',
  `cash_fee` varchar(32) DEFAULT NULL COMMENT 'appid',
  `fee_type` varchar(32) DEFAULT NULL COMMENT '流水号',
  `is_subscribe` varchar(32) DEFAULT '0' COMMENT '金额',
  `mch_id` varchar(32) DEFAULT '0' COMMENT '类型 付款 退款',
  `nonce_str` varchar(32) DEFAULT '0' COMMENT '状态 成功 失败',
  `openid` varchar(32) DEFAULT '' COMMENT '备注',
  `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
  `out_trade_no` varchar(32) DEFAULT '' COMMENT '备注',
  `result_code` varchar(32) DEFAULT '' COMMENT '备注',
  `return_code` varchar(32) DEFAULT '' COMMENT '备注',
  `sign` varchar(32) DEFAULT '' COMMENT '备注',
  `time_end` varchar(32) DEFAULT '' COMMENT '备注',
  `total_fee` varchar(32) DEFAULT '' COMMENT '备注',
  `trade_type` varchar(32) DEFAULT '' COMMENT '备注',
  `transaction_id` varchar(32) DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `type_index` (`mch_id`),
  KEY `timestamp_index` (`timestamp`),
  KEY `appid_index` (`appid`),
  KEY `openid_index` (`openid`)
) ENGINE=InnoDB AUTO_INCREMENT=229 DEFAULT CHARSET=utf8 COMMENT='微信-支付日志'
*/
