const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Bbs = sequelize.define('bbs', {
  id: { type: Sequelize.STRING(50), allowNull: false, primaryKey: true, comment: ''},
  initiator: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '发起人'},
  reply: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '回复人'},
  remote_application_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '申请单id'},
  content: { type: Sequelize.STRING(3000), allowNull: true, primaryKey: false, comment: '内容'},
  attachment: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '附件'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: false,
});

Bbs.sync({ force: false }).then(function() {});

export default Bbs;
/**
 create sql
 CREATE TABLE `bbs` (
  `id` varchar(50) NOT NULL,
  `initiator` varchar(50) DEFAULT NULL COMMENT '发起人',
  `reply` varchar(50) DEFAULT NULL COMMENT '回复人',
  `remote_application_id` varchar(50) DEFAULT NULL COMMENT '申请单id',
  `content` varchar(3000) DEFAULT NULL COMMENT '内容',
  `attachment` varchar(255) DEFAULT NULL COMMENT '附件',
  `createdAt` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `bbs_initiator` (`initiator`),
  KEY `bbs_reply` (`reply`),
  KEY `bbs_applicaition` (`remote_application_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
