const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Device = sequelize.define('device', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  name: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '检查设备名称'},
  exam_class_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: 'exam_class表id'},
  status: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '1', comment: '状态 1:有效 0:无效'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Device.sync({ force: false }).then(function() {});

export default Device;
/**
 create sql
 CREATE TABLE `device` (
  `id` varchar(32) NOT NULL,
  `name` varchar(100) DEFAULT NULL COMMENT '检查设备名称',
  `exam_class_id` varchar(50) DEFAULT NULL COMMENT 'exam_class表id',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '状态 1:有效 0:无效',
  PRIMARY KEY (`id`),
  KEY `device-examclass` (`exam_class_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='检查设备'
*/
