const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Images = sequelize.define('images', {
  id: { type: Sequelize.STRING(16), allowNull: false, primaryKey: true, comment: ''},
  series_id: { type: Sequelize.STRING(16), allowNull: false, primaryKey: false, defaultValue: '', comment: ''},
  imageId: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, defaultValue: '', comment: ''},
  sopUid: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  imageNumber: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
  owner: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  windowWidth: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  windoCenter: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  rows: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, comment: ''},
  columns: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, comment: ''},
  pixeSpacing: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  imagePosition: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  imageOrientation: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  size: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
  frame: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
  cineRate: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, comment: ''},
  status: { type: Sequelize.SMALLINT(6), allowNull: false, primaryKey: false, defaultValue: '0', comment: ''},
  url: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, defaultValue: '', comment: ''},
  local_url: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  remote_url: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  metadata: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  hospitalId: { type: Sequelize.STRING(16), allowNull: true, primaryKey: false, comment: ''},
  ext: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Images.sync({ force: false }).then(function() {});

export default Images;
/**
 create sql
 CREATE TABLE `images` (
  `id` varchar(16) NOT NULL,
  `series_id` varchar(16) NOT NULL DEFAULT '',
  `imageId` varchar(100) NOT NULL DEFAULT '',
  `sopUid` varchar(100) DEFAULT NULL,
  `imageNumber` int(11) NOT NULL DEFAULT '0',
  `owner` varchar(50) DEFAULT NULL,
  `windowWidth` varchar(100) DEFAULT NULL,
  `windoCenter` varchar(100) DEFAULT NULL,
  `rows` varchar(10) DEFAULT NULL,
  `columns` varchar(10) DEFAULT NULL,
  `pixeSpacing` varchar(100) DEFAULT NULL,
  `imagePosition` varchar(100) DEFAULT NULL,
  `imageOrientation` varchar(100) DEFAULT NULL,
  `size` int(11) NOT NULL DEFAULT '0',
  `frame` int(11) NOT NULL DEFAULT '0',
  `cineRate` varchar(10) DEFAULT NULL,
  `status` smallint(6) NOT NULL DEFAULT '0',
  `url` varchar(100) NOT NULL DEFAULT '',
  `local_url` varchar(100) DEFAULT NULL,
  `remote_url` varchar(100) DEFAULT NULL,
  `metadata` varchar(100) DEFAULT NULL,
  `hospitalId` varchar(16) DEFAULT NULL,
  `ext` varchar(255) DEFAULT NULL,
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `imageId_index` (`series_id`,`imageId`),
  KEY `images_owner` (`owner`),
  KEY `images_hospital_id` (`hospitalId`),
  KEY `images_size` (`size`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
