const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Remote_contact = sequelize.define('remote_contact', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: '机构代码'},
  hospital_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '医院名'},
  super_hospital_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '医院地址'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  lower_ratio: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '账户余额'},
  super_ratio: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '最低金额(额度)'},
  zskk_ratio: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '通知金额'},
  timestamp: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '时间戳'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Remote_contact.sync({ force: false }).then(function() {});

export default Remote_contact;
/**
 create sql
 CREATE TABLE `remote_contact` (
  `id` varchar(32) NOT NULL COMMENT '机构代码',
  `hospital_id` varchar(32) DEFAULT NULL COMMENT '医院名',
  `super_hospital_id` varchar(32) DEFAULT NULL COMMENT '医院地址',
  `remark` text COMMENT '备注',
  `lower_ratio` int(11) NOT NULL DEFAULT '0' COMMENT '账户余额',
  `super_ratio` int(11) NOT NULL DEFAULT '0' COMMENT '最低金额(额度)',
  `zskk_ratio` int(11) NOT NULL DEFAULT '0' COMMENT '通知金额',
  `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
  PRIMARY KEY (`id`),
  KEY `hospital_id_index` (`hospital_id`),
  KEY `super_hospital_id_index` (`super_hospital_id`),
  KEY `timestamp_index` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='远程诊断关系表'
*/
