const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Remote_cost = sequelize.define('remote_cost', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: 'id'},
  hospital_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '医院名'},
  super_hospital_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '医院地址'},
  exam_class: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '检查类型'},
  super_doctor_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '远程医生'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  money: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '问诊价格'},
  timestamp: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '时间戳'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Remote_cost.sync({ force: false }).then(function() {});

export default Remote_cost;
/**
 create sql
 CREATE TABLE `remote_cost` (
  `id` varchar(32) NOT NULL COMMENT 'id',
  `hospital_id` varchar(32) DEFAULT NULL COMMENT '医院名',
  `super_hospital_id` varchar(32) DEFAULT NULL COMMENT '医院地址',
  `exam_class` varchar(32) DEFAULT NULL COMMENT '检查类型',
  `super_doctor_id` varchar(32) DEFAULT NULL COMMENT '远程医生',
  `remark` text COMMENT '备注',
  `money` int(11) NOT NULL DEFAULT '0' COMMENT '问诊价格',
  `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
  PRIMARY KEY (`id`),
  KEY `hospital_id_index` (`hospital_id`),
  KEY `super_hospital_id_index` (`super_hospital_id`),
  KEY `exam_class_index` (`exam_class`),
  KEY `super_doctor_id_index` (`super_doctor_id`),
  KEY `timestamp_index` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='远程诊断费用表'
*/
