const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Remote_water = sequelize.define('remote_water', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: 'id'},
  hospital_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '医院名'},
  order_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: '订单id'},
  money: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '金额'},
  type: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '流水类型 加 减'},
  why: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: 'why 患者支付/远程诊断收入/远程诊断付款/远程诊断退款/提现'},
  remark: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '备注'},
  timestamp: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '时间戳'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Remote_water.sync({ force: false }).then(function() {});

export default Remote_water;
/**
 create sql
 CREATE TABLE `remote_water` (
  `id` varchar(32) NOT NULL COMMENT 'id',
  `hospital_id` varchar(32) DEFAULT NULL COMMENT '医院名',
  `order_id` varchar(32) DEFAULT NULL COMMENT '订单id',
  `money` int(11) NOT NULL DEFAULT '0' COMMENT '金额',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '流水类型 加 减',
  `why` int(11) NOT NULL DEFAULT '0' COMMENT 'why 患者支付/远程诊断收入/远程诊断付款/远程诊断退款/提现',
  `remark` text COMMENT '备注',
  `createdAt` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updatedAt` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT '时间戳',
  PRIMARY KEY (`id`),
  KEY `hospital_id_index` (`hospital_id`),
  KEY `order_id_index` (`order_id`),
  KEY `type_index` (`type`),
  KEY `why_index` (`why`),
  KEY `timestamp_index` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='远程诊断流水'
*/
