const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Xz = sequelize.define('xz', {
  id: { type: Sequelize.STRING(50), allowNull: false, primaryKey: true, comment: ''},
  exam_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  patientId: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  applicationFormNo: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  clinicId: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  patientSex: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  patientAge: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  patientBirthDate: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  patientName: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  modality: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, comment: ''},
  contentDescription: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  patientWeight: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  startDate: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: ''},
  department: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  symptom: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  clinicalDoctor: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  exam_status: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: false,
  updatedAt: false,
});

Xz.sync({ force: false }).then(function() {});

export default Xz;
/**
 create sql
 CREATE TABLE `xz` (
  `id` varchar(50) NOT NULL,
  `exam_id` varchar(50) DEFAULT NULL,
  `patientId` varchar(255) DEFAULT NULL,
  `applicationFormNo` varchar(255) DEFAULT NULL,
  `clinicId` varchar(255) DEFAULT NULL,
  `patientSex` varchar(255) DEFAULT NULL,
  `patientAge` varchar(255) DEFAULT NULL,
  `patientBirthDate` varchar(255) DEFAULT NULL,
  `patientName` varchar(255) DEFAULT NULL,
  `modality` varchar(10) DEFAULT NULL,
  `contentDescription` varchar(255) DEFAULT NULL,
  `patientWeight` varchar(255) DEFAULT NULL,
  `startDate` date DEFAULT NULL,
  `department` varchar(255) DEFAULT NULL,
  `symptom` varchar(255) DEFAULT NULL,
  `clinicalDoctor` varchar(255) DEFAULT NULL,
  `exam_status` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `weiyi` (`applicationFormNo`,`clinicId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
