const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Bodypart = sequelize.define('bodypart', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  name: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '检查部位名称'},
  exam_class_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: 'exam_class表id'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Bodypart.sync({ force: false }).then(function() {});

export default Bodypart;
/**
 create sql
 CREATE TABLE `bodypart` (
  `id` varchar(32) NOT NULL,
  `name` varchar(100) DEFAULT NULL COMMENT '检查部位名称',
  `exam_class_id` varchar(50) DEFAULT NULL COMMENT 'exam_class表id',
  PRIMARY KEY (`id`),
  KEY `bodypart-examclass` (`exam_class_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='检查部位'
*/
