const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Department = sequelize.define('department', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  department_name: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: '科室名称'},
  is_report: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, comment: '是否能写报告'},
  institution_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '所属医院'},
  parent_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '上级ID'},
  order_num: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: '排序号'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Department.sync({ force: false }).then(function() {});

export default Department;
/**
 create sql
 CREATE TABLE `department` (
  `id` varchar(32) NOT NULL,
  `department_name` varchar(100) DEFAULT NULL COMMENT '科室名称',
  `is_report` varchar(10) DEFAULT NULL COMMENT '是否能写报告',
  `institution_id` varchar(50) DEFAULT NULL COMMENT '所属医院',
  `parent_id` varchar(50) DEFAULT NULL COMMENT '上级ID',
  `order_num` int(11) DEFAULT NULL COMMENT '排序号',
  PRIMARY KEY (`id`),
  KEY `depart-report` (`is_report`) USING BTREE,
  KEY `depart-institution` (`institution_id`),
  KEY `depart-parent` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='科室'
*/
