const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Every_studies = sequelize.define('every_studies', {
  id: { type: Sequelize.STRING(50), allowNull: false, primaryKey: true, comment: ''},
  institution_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '医院id'},
  institution_name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '医院名称'},
  date: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '检查时间'},
  count: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: '检查数量'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Every_studies.sync({ force: false }).then(function() {});

export default Every_studies;
/**
 create sql
 CREATE TABLE `every_studies` (
  `id` varchar(50) NOT NULL,
  `institution_id` varchar(50) DEFAULT NULL COMMENT '医院id',
  `institution_name` varchar(255) DEFAULT NULL COMMENT '医院名称',
  `date` varchar(50) DEFAULT NULL COMMENT '检查时间',
  `count` int(11) DEFAULT NULL COMMENT '检查数量',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
