const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Messages = sequelize.define('messages', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, defaultValue: '', comment: ''},
  title: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '标题'},
  content: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '内容'},
  is_read: { type: Sequelize.INTEGER(255), allowNull: true, primaryKey: false, defaultValue: '0', comment: '0|未读，1|已读`'},
  ctime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: ''},
  doctor_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '所属医生id'},
  status: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, defaultValue: '0', comment: '是否删除'},
  institution_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '机构'},
  department_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '科室'},
  count: { type: Sequelize.INTEGER(10), allowNull: true, primaryKey: false, defaultValue: '1', comment: ''},
  url: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  type: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '1,新增远程申请2,远程申请驳回3,远程申请被撤回4,远程诊断接收5,报告已审核6,报告确认7,对话8,审核驳回'},
  htime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: ''},
  application_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  is_remote: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  exam_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Messages.sync({ force: false }).then(function() {});

export default Messages;
/**
 create sql
 CREATE TABLE `messages` (
  `id` varchar(32) NOT NULL DEFAULT '',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `content` text COMMENT '内容',
  `is_read` int(255) DEFAULT '0' COMMENT '0|未读，1|已读`',
  `ctime` datetime DEFAULT NULL,
  `doctor_id` varchar(50) DEFAULT NULL COMMENT '所属医生id',
  `status` varchar(255) DEFAULT '0' COMMENT '是否删除',
  `institution_id` varchar(50) DEFAULT NULL COMMENT '机构',
  `department_id` varchar(50) DEFAULT NULL COMMENT '科室',
  `count` int(10) DEFAULT '1',
  `url` varchar(255) DEFAULT NULL,
  `type` varchar(50) DEFAULT NULL COMMENT '1,新增远程申请2,远程申请驳回3,远程申请被撤回4,远程诊断接收5,报告已审核6,报告确认7,对话8,审核驳回',
  `htime` datetime DEFAULT NULL,
  `application_id` varchar(50) DEFAULT NULL,
  `is_remote` varchar(50) DEFAULT NULL,
  `exam_id` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `message-read` (`is_read`),
  KEY `message-doctor` (`doctor_id`),
  KEY `message-institution` (`institution_id`),
  KEY `message-department` (`department_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='消息表'
*/
