const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Open_application = sequelize.define('open_application', {
  id: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: true, comment: ''},
  institution_name: { type: Sequelize.STRING(128), allowNull: true, primaryKey: false, comment: '医疗机构名称'},
  institution_level: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '医疗机构等级'},
  name: { type: Sequelize.STRING(45), allowNull: false, primaryKey: false, comment: '联系人'},
  phone: { type: Sequelize.STRING(45), allowNull: false, primaryKey: false, comment: '联系电话'},
  email: { type: Sequelize.STRING(128), allowNull: true, primaryKey: false, comment: '联系邮箱'},
  position: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '联系人职务'},
  title: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '医生职称'},
  department: { type: Sequelize.STRING(64), allowNull: true, primaryKey: false, comment: '医生所在科室'},
  company: { type: Sequelize.STRING(128), allowNull: true, primaryKey: false, comment: '城市合伙人公司名称'},
  type: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: '申请来源0：未定义1：医院申请2：医生申请3：城市合伙人申请'},
  status: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, defaultValue: '1', comment: '状态0:未定义1:已接收2:已通知负责人3:已对接4:申请成功5:申请失败'},
  ctime: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, comment: '创建时间'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Open_application.sync({ force: false }).then(function() {});

export default Open_application;
/**
 create sql
 CREATE TABLE `open_application` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `institution_name` varchar(128) DEFAULT NULL COMMENT '医疗机构名称',
  `institution_level` varchar(45) DEFAULT NULL COMMENT '医疗机构等级',
  `name` varchar(45) NOT NULL COMMENT '联系人',
  `phone` varchar(45) NOT NULL COMMENT '联系电话',
  `email` varchar(128) DEFAULT NULL COMMENT '联系邮箱',
  `position` varchar(45) DEFAULT NULL COMMENT '联系人职务',
  `title` varchar(45) DEFAULT NULL COMMENT '医生职称',
  `department` varchar(64) DEFAULT NULL COMMENT '医生所在科室',
  `company` varchar(128) DEFAULT NULL COMMENT '城市合伙人公司名称',
  `type` int(11) DEFAULT NULL COMMENT '申请来源0：未定义1：医院申请2：医生申请3：城市合伙人申请',
  `status` int(11) DEFAULT '1' COMMENT '状态0:未定义1:已接收2:已通知负责人3:已对接4:申请成功5:申请失败',
  `ctime` int(11) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `phone` (`phone`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
