const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Patient_exam = sequelize.define('patient_exam', {
  id: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: true, comment: ''},
  name: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '姓名'},
  age: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: '年龄'},
  sex: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '性别'},
  birthday: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '生日'},
  card_num: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '身份证'},
  exam_id: { type: Sequelize.STRING(50), allowNull: false, primaryKey: false, comment: '检查id'},
  remote_id: { type: Sequelize.STRING(50), allowNull: false, primaryKey: false, comment: '申请id'},
  patient_num: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '病历号'},
  exam_sub_class: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查子类'},
  device: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查设备'},
  body_part: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查部位'},
  exam_datetime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '检查时间'},
  exam_status: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  patient_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  study_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  exam_class: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Patient_exam.sync({ force: false }).then(function() {});

export default Patient_exam;
/**
 create sql
 CREATE TABLE `patient_exam` (
  `id` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '姓名',
  `age` int(11) DEFAULT NULL COMMENT '年龄',
  `sex` varchar(255) DEFAULT NULL COMMENT '性别',
  `birthday` varchar(255) DEFAULT NULL COMMENT '生日',
  `card_num` varchar(50) DEFAULT NULL COMMENT '身份证',
  `exam_id` varchar(50) NOT NULL COMMENT '检查id',
  `remote_id` varchar(50) NOT NULL COMMENT '申请id',
  `patient_num` varchar(255) DEFAULT NULL COMMENT '病历号',
  `exam_sub_class` varchar(255) DEFAULT NULL COMMENT '检查子类',
  `device` varchar(255) DEFAULT NULL COMMENT '检查设备',
  `body_part` varchar(255) DEFAULT NULL COMMENT '检查部位',
  `exam_datetime` datetime DEFAULT NULL COMMENT '检查时间',
  `exam_status` varchar(255) DEFAULT NULL,
  `patient_id` varchar(50) DEFAULT NULL,
  `study_id` varchar(255) DEFAULT NULL,
  `exam_class` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
