const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Studies = sequelize.define('studies', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: ''},
  studyuid: { type: Sequelize.STRING(200), allowNull: false, primaryKey: true, defaultValue: '', comment: ''},
  patient_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '患者id'},
  studyid: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  accession_num: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '科室检查号'},
  studydate: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  modality: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: ''},
  status: { type: Sequelize.INTEGER(11), allowNull: true, primaryKey: false, comment: ''},
  patient_age: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, comment: ''},
  institution_name: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '机构名称'},
  institution_id: { type: Sequelize.STRING(200), allowNull: true, primaryKey: false, comment: ''},
  ext: { type: Sequelize.JSON, allowNull: true, primaryKey: false, comment: ''},
  exam_id: { type: Sequelize.STRING(32), allowNull: true, primaryKey: false, comment: ''},
  weight: { type: Sequelize.STRING(20), allowNull: true, primaryKey: false, comment: ''},
  pregnancy: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  partExamined: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
  studyDescribe: { type: Sequelize.STRING(100), allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Studies.sync({ force: false }).then(function() {});

export default Studies;
/**
 create sql
 CREATE TABLE `studies` (
  `id` varchar(32) NOT NULL,
  `studyuid` varchar(200) NOT NULL DEFAULT '',
  `patient_id` varchar(50) DEFAULT NULL COMMENT '患者id',
  `studyid` varchar(50) DEFAULT NULL,
  `accession_num` varchar(255) DEFAULT NULL COMMENT '科室检查号',
  `studydate` varchar(255) DEFAULT NULL,
  `modality` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `patient_age` varchar(20) DEFAULT NULL,
  `institution_name` varchar(50) DEFAULT NULL COMMENT '机构名称',
  `institution_id` varchar(200) DEFAULT NULL,
  `createdAt` datetime DEFAULT NULL,
  `updatedAt` datetime DEFAULT NULL,
  `ext` json DEFAULT NULL,
  `exam_id` varchar(32) DEFAULT NULL,
  `weight` varchar(20) DEFAULT NULL,
  `pregnancy` varchar(50) DEFAULT NULL,
  `partExamined` varchar(100) DEFAULT NULL,
  `studyDescribe` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`,`studyuid`),
  UNIQUE KEY `studyuid` (`studyuid`),
  KEY `studies_institution_name` (`institution_name`),
  KEY `studies_patient_id` (`patient_id`),
  KEY `studies_studydate` (`studydate`),
  KEY `studies_modality` (`modality`),
  KEY `studies_status` (`status`),
  KEY `studies_studyid` (`studyid`),
  KEY `studies_accession_num` (`accession_num`),
  KEY `studies_studyuid` (`studyuid`),
  KEY `createat_index` (`createdAt`),
  KEY `studies_study_date` (`studydate`),
  KEY `studies_institution_id` (`institution_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
