const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Sys_logs = sequelize.define('sys_logs', {
  id: { type: Sequelize.STRING(35), allowNull: false, primaryKey: true, comment: ''},
  uid: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '管理员id'},
  module: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: '功能模块'},
  type: { type: Sequelize.STRING(5), allowNull: true, primaryKey: false, comment: 'CRUD[增查改删],L=login'},
  txt: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '信息'},
  ip: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, comment: ''},
  cdate: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: ''},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Sys_logs.sync({ force: false }).then(function() {});

export default Sys_logs;
/**
 create sql
 CREATE TABLE `sys_logs` (
  `id` varchar(35) NOT NULL,
  `uid` varchar(50) DEFAULT NULL COMMENT '管理员id',
  `module` varchar(50) DEFAULT NULL COMMENT '功能模块',
  `type` varchar(5) DEFAULT NULL COMMENT 'CRUD[增查改删],L=login',
  `txt` text COMMENT '信息',
  `ip` varchar(50) DEFAULT NULL,
  `cdate` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slog-uid` (`uid`) USING BTREE,
  KEY `slog-module` (`module`) USING BTREE,
  KEY `slog-type` (`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
