const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Templates = sequelize.define('templates', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, defaultValue: '', comment: '主键'},
  title: { type: Sequelize.STRING(100), allowNull: false, primaryKey: false, defaultValue: '', comment: '标题'},
  is_public: { type: Sequelize.INTEGER(11), allowNull: false, primaryKey: false, defaultValue: '0', comment: '公众模版 1:公众模版 2:私有模版'},
  create_user: { type: Sequelize.STRING(32), allowNull: false, primaryKey: false, defaultValue: '', comment: '创建人'},
  exam_class_id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: false, comment: '检查id exam_class.id'},
  description: { type: Sequelize.STRING(4096), allowNull: false, primaryKey: false, defaultValue: '', comment: '影响所见'},
  impression: { type: Sequelize.STRING(4096), allowNull: false, primaryKey: false, defaultValue: '', comment: '印象'},
  parent_id: { type: Sequelize.STRING(50), allowNull: true, primaryKey: false, defaultValue: '0', comment: '父类'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

Templates.sync({ force: false }).then(function() {});

export default Templates;
/**
 create sql
 CREATE TABLE `templates` (
  `id` varchar(32) NOT NULL DEFAULT '' COMMENT '主键',
  `title` varchar(100) NOT NULL DEFAULT '' COMMENT '标题',
  `is_public` int(11) NOT NULL DEFAULT '0' COMMENT '公众模版 1:公众模版 2:私有模版',
  `create_user` varchar(32) NOT NULL DEFAULT '' COMMENT '创建人',
  `exam_class_id` varchar(32) NOT NULL COMMENT '检查id exam_class.id',
  `description` varchar(4096) NOT NULL DEFAULT '' COMMENT '影响所见',
  `impression` varchar(4096) NOT NULL DEFAULT '' COMMENT '印象',
  `createdAt` datetime NOT NULL COMMENT '创建时间',
  `parent_id` varchar(50) DEFAULT '0' COMMENT '父类',
  PRIMARY KEY (`id`),
  KEY `template-is_public` (`is_public`) USING HASH,
  KEY `template-exam_class` (`exam_class_id`) USING HASH,
  KEY `template-create_user` (`create_user`) USING HASH,
  KEY `template-parent_id` (`parent_id`) USING HASH
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模板'
*/
