const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const User = sequelize.define('user', {
  id: { type: Sequelize.STRING(45), allowNull: false, primaryKey: true, comment: '用户id'},
  wx_openid: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '微信openid'},
  wx_icon: { type: Sequelize.STRING(256), allowNull: true, primaryKey: false, defaultValue: '', comment: '微信头像'},
  wx_nickname: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '微信昵称'},
  source: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '来源公众号'},
  phone: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '手机号'},
  idcard: { type: Sequelize.STRING(45), allowNull: true, primaryKey: false, comment: '身份证号'},
  subscribe_status: { type: Sequelize.INTEGER(1), allowNull: false, primaryKey: false, defaultValue: '0', comment: '公众号关注状态0:未关注1:取消关注2:已关注'},
  createAt: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '创建时间'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: 'updatedAt',
});

User.sync({ force: false }).then(function() {});

export default User;
/**
 create sql
 CREATE TABLE `user` (
  `id` varchar(45) NOT NULL COMMENT '用户id',
  `wx_openid` varchar(45) DEFAULT NULL COMMENT '微信openid',
  `wx_icon` varchar(256) DEFAULT '' COMMENT '微信头像',
  `wx_nickname` varchar(45) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '微信昵称',
  `source` varchar(45) DEFAULT NULL COMMENT '来源公众号',
  `phone` varchar(45) DEFAULT NULL COMMENT '手机号',
  `idcard` varchar(45) DEFAULT NULL COMMENT '身份证号',
  `subscribe_status` int(1) NOT NULL DEFAULT '0' COMMENT '公众号关注状态0:未关注1:取消关注2:已关注',
  `createAt` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `wx_openid_UNIQUE` (`wx_openid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8
*/
